## golang-github-pointlander-peg 0.0~git20160905.0.58700b5

=== debian/changelog ===
golang-github-pointlander-peg (0.0~git20160905.0.58700b5-1) unstable; urgency=medium

  * Initial release (Closes: #840766)

 -- Alexandre Viau <aviau@debian.org>  Sat, 15 Oct 2016 14:26:57 -0400

## golang-github-pointlander-peg 1.0.0

=== Makefile ===
# Copyright 2010 The Go Authors. All rights reserved.
# Use of this source code is governed by a BSD-style
# license that can be found in the LICENSE file.

peg: bootstrap.peg.go peg.go main.go
	go build

bootstrap.peg.go: bootstrap/main.go peg.go
	cd bootstrap; go build
	bootstrap/bootstrap

clean:
	rm -f bootstrap/bootstrap peg peg.peg.go

=== grammars/c/Makefile ===
# Copyright 2010 The Go Authors. All rights reserved.
# Use of this source code is governed by a BSD-style
# license that can be found in the LICENSE file.

c: c.peg.go main.go
	go build

c.peg.go: c.peg
	../../peg -switch -inline c.peg

clean:
	rm -f c c.peg.go

=== grammars/calculator/Makefile ===
# Copyright 2010 The Go Authors. All rights reserved.
# Use of this source code is governed by a BSD-style
# license that can be found in the LICENSE file.

calculator: calculator.peg.go calculator.go main.go
	go build

calculator.peg.go: calculator.peg
	../../peg -switch -inline calculator.peg

clean:
	rm -f calculator calculator.peg.go

=== grammars/fexl/Makefile ===
# Copyright 2010 The Go Authors. All rights reserved.
# Use of this source code is governed by a BSD-style
# license that can be found in the LICENSE file.

fexl: fexl.peg.go main.go
	go build

fexl.peg.go: fexl.peg
	../../peg -switch -inline fexl.peg

clean:
	rm -f fexl fexl.peg.go

=== grammars/java/Makefile ===
# Copyright 2010 The Go Authors. All rights reserved.
# Use of this source code is governed by a BSD-style
# license that can be found in the LICENSE file.

java: java_1_7.peg.go main.go
	go build

java_1_7.peg.go: java_1_7.peg
	../../peg -switch -inline java_1_7.peg

clean:
	rm -f java java_1_7.peg.go

=== grammars/long_test/Makefile ===
# Copyright 2010 The Go Authors. All rights reserved.
# Use of this source code is governed by a BSD-style
# license that can be found in the LICENSE file.

long_test: long.peg.go main.go
	go build

long.peg.go: long.peg
	peg -switch -inline long.peg

clean:
	rm -f long_test long.peg.go

=== debian/changelog ===
golang-github-pointlander-peg (1.0.0-4) unstable; urgency=medium

  * Team upload.
  * Vcs-* urls: pkg-go-team -> go-team.

 -- Alexandre Viau <aviau@debian.org>  Mon, 05 Feb 2018 23:20:40 -0500

golang-github-pointlander-peg (1.0.0-3) unstable; urgency=medium

  * point Vcs-* urls to salsa.d.o subproject

 -- Alexandre Viau <aviau@debian.org>  Thu, 25 Jan 2018 16:05:24 -0500

golang-github-pointlander-peg (1.0.0-2) unstable; urgency=medium

  * Move to salsa.debian.org.
  * Testsuite: autopkgtest-pkg-go.
  * Priority extra -> optional.

 -- Alexandre Viau <aviau@debian.org>  Sat, 30 Dec 2017 00:27:50 -0500

golang-github-pointlander-peg (1.0.0-1) unstable; urgency=medium

  * New upstream snapshot
  * Add watch file

 -- Alexandre Viau <aviau@debian.org>  Mon, 21 Nov 2016 16:35:06 -0500

=== debian/control ===
Source: golang-github-pointlander-peg
Section: devel
Priority: optional
Maintainer: Debian Go Packaging Team <pkg-go-maintainers@lists.alioth.debian.org>
Uploaders: Alexandre Viau <aviau@debian.org>
Build-Depends: debhelper (>= 9),
               dh-golang,
               golang-go,
               dh-exec,
               golang-github-pointlander-jetset-dev
Standards-Version: 3.9.8
Homepage: https://github.com/pointlander/peg
Vcs-Browser: https://salsa.debian.org/go-team/packages/golang-github-pointlander-peg
Vcs-Git: https://salsa.debian.org/go-team/packages/golang-github-pointlander-peg.git
XS-Go-Import-Path: github.com/pointlander/peg
Testsuite: autopkgtest-pkg-go

Package: peg-go
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends}
Description: implementation of a Packrat parser generator in Go
 Peg, Parsing Expression Grammar, is an implementation of a Packrat
 parser generator. A Packrat parser is a descent recursive parser capable
 of backtracking. The generated parser searches for the correct parsing
 of the input.
 .
 This is the main package used to generate code.

Package: golang-github-pointlander-peg-dev
Architecture: all
Depends: ${shlibs:Depends},
         ${misc:Depends},
         golang-go,
         golang-github-pointlander-jetset-dev
Description: implementation of a Packrat parser generator - dev package
 Peg, Parsing Expression Grammar, is an implementation of a Packrat
 parser generator. A Packrat parser is a descent recursive parser capable
 of backtracking. The generated parser searches for the correct parsing
 of the input.
 .
 This is the dev package

=== debian/watch ===
version=3
opts=filenamemangle=s/.+\/v?(\d\S*)\.tar\.gz/golang-github-pointlander-peg-$1\.tar\.gz/ \
  https://github.com/pointlander/peg/tags .*/v?(\d\S*)\.tar\.gz
